﻿define({"55":{u:"../MicroContent/Resources/MicroContent/find-version-number/what-is-micro-content.htm",c:"\u003cp class=\"Introline\"\u003eHow can I find the version of the Ubisense Core and Controller software in Windows?\u003c/p\u003e\u003cp\u003eYou can find the version number for the Ubisense Core (\u003cspan class=\"filename\"\u003eubisense_core_server.exe\u003c/span\u003e) and Controller (\u003cspan class=\"filename\"\u003eubisense_local_control.exe\u003c/span\u003e) executables in their respective Properties dialogs:\u003c/p\u003e\u003col\u003e\u003cli value=\"1\"\u003eIn File Explorer, locate \u003cspan class=\"filename\"\u003eubisense_core_server.exe\u003c/span\u003e or \u003cspan class=\"filename\"\u003eubisense_local_control.exe\u003c/span\u003e. By default they are installed in \u003cspan class=\"filename\"\u003eC:\\Program Files (x86)\\Ubisense 3\\bin\u003c/span\u003e.\u003c/li\u003e\u003cli value=\"2\"\u003eRight-click on the executable\u0027s name to open the Properties dialog and go to the Details tab. The version number is listed under Product version. For example:\u003c/li\u003e\u003c/ol\u003e\u003cp class=\"Figure\"\u003e\u003cimg src=\"../../../../Content/Resources/Images/version_info.png\" title=\"screen shot of the Details tab of the Properties dialog for ubisense_core_server.exe with the product version shown\" alt=\"screen shot of the Details tab of the Properties dialog for ubisense_core_server.exe with the product version shown\" style=\"height: auto;width: 30%;\" /\u003e\u003c/p\u003e",p:["How can I find the version of the Core and Controller executables?","core version number","controller version number","How can I find the version of the Ubisense Core and Controller software?","software versions","version number","platform version"],l:"",tr:false,s:["../Skins/Default/Stylesheets/TextEffects.micro-content.css.micro-response-783110926","../Skins/Default/Stylesheets/Topic.micro-content.css.micro-response-1790431910","../MicroContent/Stylesheets/micro-response-1929814236.css"],sc:["AllFiles"]},"56":{u:"../MicroContent/Resources/MicroContent/opengl-driver/what-is-micro-content.htm",c:"\u003ch4\u003eHow can I correct display problems in \u003cspan class=\"mc-variable SmartSpace.SmartSpaceConfig_(app) variable\"\u003eSmartSpace Config\u003c/span\u003e?\u003c/h4\u003e\u003cp\u003eFrom version 3.6, SmartSpace Config has been updated to OpenSceneGraph 3.6.5, giving some improvements to the appearance of the 3D map. OpenSceneGraph is built on OpenGL 1.2 to 4.6, and chooses features at runtime depending on what is available, so as a \u003cspan class=\"Emphasis\"\u003eminimum\u003c/span\u003e requires OpenGL 1.2. This may not be fully supported by some graphics drivers, especially when running via remote desktop. If you encounter problems when using a task that displays a 3D visualization, use the solutions provided below.\u003c/p\u003e\u003col data-mc-continue=\"false\"\u003e\u003cli value=\"1\"\u003eIf possible, don\u0027t use remote desktop—the Ubisense software architecture is specifically designed to run clients on different machines.\u003c/li\u003e\u003cli value=\"2\"\u003e\u003cp\u003eIf you must use remote desktop, and the remote machine has a graphics card, try creating a batch file to start the application in the console session.\u003c/p\u003e\u003cdiv class=\"MCDropDown MCDropDown_Closed dropDown\"\u003e\u003cspan class=\"MCDropDownHead dropDownHead\"\u003e\u003ca href=\"#\" class=\"MCDropDownHotSpot dropDownHotspot MCDropDownHotSpot_ MCHotSpotImage\" aria-expanded=\"false\"\u003e\u003cimg class=\"MCDropDown_Image_Icon\" src=\"../../../../Skins/Default/Stylesheets/Images/transparent.gif\" height=\"11\" width=\"16\" alt=\"Closed\" data-mc-alt2=\"Open\" /\u003eExample batch file\u003c/a\u003e\u003c/span\u003e\u003cdiv class=\"MCDropDownBody dropDownBody\"\u003e\u003cp\u003eThe batch file should contain commands similar to:\u003c/p\u003e\u003cpre xml:space=\"preserve\"\u003efor /f \"tokens=3\" %%g in (\u0027quser\u0027) do set session=%%g\necho \"Starting SmartSpace Config in session \" %session% \" using physical console\"\ntscon %session% /dest:console\nstart \"SSC\" \"C:\\Program Files (x86)\\Ubisense 3\\bin\\UbisenseApplicationUpdater\" \"SmartSpace Config\"\u003c/pre\u003e\u003cp class=\"note-new\" data-mc-autonum=\"Note: \"\u003e\u003cspan class=\"autonumber\"\u003e\u003cspan class=\"note\"\u003eNote: \u003c/span\u003e\u003c/span\u003eYou need to run the batch file as administrator for the \u003cspan class=\"command\"\u003etscon\u003c/span\u003e command to work.\u003c/p\u003e\u003c/div\u003e\u003c/div\u003e\u003c/li\u003e\u003cli value=\"3\"\u003eFor other problems with 3D maps (not involving remote desktop), try to identify any broken or overly-complex representation models, and don\u0027t use them if they prevent \u003cspan class=\"mc-variable SmartSpace.SmartSpaceConfig_(app) variable\"\u003eSmartSpace Config\u003c/span\u003e working correctly or at all.\u003c/li\u003e\u003cli value=\"4\" data-mc-conditions=\"Releases.3_8\"\u003e\u003cp\u003eIf all else fails, you can download the \u003cspan class=\"filename\"\u003eopengl32.dll\u003c/span\u003e from the \u003ca href=\"https://fdossena.com/?p=mesa/index.frag\"\u003eMesa 3D software rendering library\u003c/a\u003e maintained by Federico Dossena.\u003c/p\u003e\u003cp class=\"Warning\"\u003eThis workaround will not work if a platform has some 32 bit and some 64 bit OSG apps, for example if \u003cspan class=\"mc-variable UbisenseVariables.D4Long variable\"\u003eDIMENSION4\u003c/span\u003e is installed from a 32-bit build, and \u003cspan class=\"mc-variable SmartSpace.SmartSpace variable\"\u003eSmartSpace\u003c/span\u003e from a 64-bit build.  This is because both 64- and 32-bit apps link to a dll called \u003cspan class=\"filename\"\u003eopengl32.dll\u003c/span\u003e, and only one can be provided by the current workaround.\u003c/p\u003e\u003cul\u003e\u003cli\u003e\u003cp\u003e\u003cem class=\"heavy\"\u003eFor installations with 32-bit apps and \u003cspan class=\"mc-variable SmartSpace.ApplicationManager variable\"\u003eUbisense Application Manager\u003c/span\u003e version 3.6 or higher:\u003c/em\u003e\u003c/p\u003e\u003col style=\"list-style-type: lower-alpha;\"\u003e\u003cli value=\"1\"\u003e\u003cp\u003eCreate a directory in the Ubisense installation folder (normally \u003cspan class=\"filename\"\u003eC:\\Program Files (x86)\\Ubisense 3\\bin\u003c/span\u003e) and name it \u003cspan class=\"filename\"\u003eopengl\u003c/span\u003e.\u003c/p\u003e\u003c/li\u003e\u003cli value=\"2\"\u003e\u003cp\u003eDownload and unzip the latest version of the 32-bit version of Mesa3D.\u003c/p\u003e\u003cp class=\"note-new\" data-mc-autonum=\"Note: \"\u003e\u003cspan class=\"autonumber\"\u003e\u003cspan class=\"note\"\u003eNote: \u003c/span\u003e\u003c/span\u003eYou will need to use 7-zip to unpack the downloaded file.\u003c/p\u003e\u003c/li\u003e\u003cli value=\"3\"\u003e\u003cp\u003eCopy \u003cspan class=\"filename\"\u003eopengl32.dll\u003c/span\u003e into the \u003cspan class=\"filename\"\u003eopengl\u003c/span\u003e directory and the application updater will synchronize it with the working directory of the application. (Remember to make sure you have \u003cspan class=\"mc-variable SmartSpace.ApplicationManager variable\"\u003eUbisense Application Manager\u003c/span\u003e version 3.6 or higher installed first.)\u003c/p\u003e\u003c/li\u003e\u003c/ol\u003e\u003c/li\u003e\u003c/ul\u003e\u003cul\u003e\u003cli\u003e\u003cp\u003e\u003cem class=\"heavy\"\u003eFor installations with 64-bit apps and \u003cspan class=\"mc-variable SmartSpace.ApplicationManager variable\"\u003eUbisense Application Manager\u003c/span\u003e version 3.8 or higher:\u003c/em\u003e\u003c/p\u003e\u003col style=\"list-style-type: lower-alpha;\"\u003e\u003cli value=\"1\"\u003e\u003cp\u003eCreate a directory in the Ubisense installation folder (normally \u003cspan class=\"filename\"\u003eC:\\Program Files (x86)\\Ubisense 3\\bin\u003c/span\u003e) and name it \u003cspan class=\"filename\"\u003eopengl_64\u003c/span\u003e.\u003c/p\u003e\u003c/li\u003e\u003cli value=\"2\"\u003e\u003cp\u003eDownload and unzip the latest version of the 64-bit version of Mesa3D.\u003c/p\u003e\u003cp class=\"note-new\" data-mc-autonum=\"Note: \"\u003e\u003cspan class=\"autonumber\"\u003e\u003cspan class=\"note\"\u003eNote: \u003c/span\u003e\u003c/span\u003eYou will need to use 7-zip to unpack the downloaded file.\u003c/p\u003e\u003c/li\u003e\u003cli value=\"3\"\u003e\u003cp\u003eCopy \u003cspan class=\"filename\"\u003eopengl32.dll\u003c/span\u003e into the \u003cspan class=\"filename\"\u003eopengl_64\u003c/span\u003e directory and the application updater will synchronize it with the working directory of the application. (Remember to make sure you have \u003cspan class=\"mc-variable SmartSpace.ApplicationManager variable\"\u003eUbisense Application Manager\u003c/span\u003e version 3.8 or higher installed first.)\u003c/p\u003e\u003c/li\u003e\u003c/ol\u003e\u003c/li\u003e\u003c/ul\u003e\u003c/li\u003e\u003c/ol\u003e",p:["How can I correct display problems in SmartSpace Config?","SmartSpace Config crashes","3D maps won\u0027t display correctly","opengl32.dll","Can\u0027t pan or zoom in 3D map","opengl 1.2"],l:"",tr:false,s:["../Skins/Default/Stylesheets/TextEffects.micro-content.css.micro-response-783110926","../Skins/Default/Stylesheets/Topic.micro-content.css.micro-response-1790431910","../MicroContent/Stylesheets/micro-response-1929814236.css"],sc:["AllFiles"]},"57":{u:"../MicroContent/Resources/MicroContent/business-rules/what-is-micro-content.htm",c:"\u003ch4\u003eBattery Status\u003c/h4\u003e\u003cp\u003eThe assertion \u0026lt;Object\u0026gt; has tag status \u0026lt;Int\u0026gt;, which appears in the User Data Model as a complex property, contains a row for each object that has an associated tag whose status is either \"warning\" or \"failing\".  The corresponding integer value for each status is:  1 = \"warning\", 2 = \"failing\".\u003c/p\u003e\u003cp\u003eThese integers can be used in \u003cspan class=\"mc-variable SmartSpace.Businessrules(component) variable\"\u003eBusiness rules\u003c/span\u003e to set a new battery status by changing Int to either 1 or 2.\u003c/p\u003e\u003cp class=\"FigureSmSp\"\u003e\u003cimg src=\"../../../../Content/Resources/Images/BusinessRulesDeveloper/3_8-battery-status-int.png\" /\u003e\u003c/p\u003e",p:["Battery Status"],l:"",tr:false,s:["../Skins/Default/Stylesheets/TextEffects.micro-content.css.micro-response-783110926","../Skins/Default/Stylesheets/Topic.micro-content.css.micro-response-1790431910","../MicroContent/Stylesheets/micro-response-1929814236.css"],sc:["AllFiles"]},"58":{u:"../MicroContent/Resources/MicroContent/multiple-workspaces-in-smartspace-config/what-is-micro-content.htm",c:"\u003ch4\u003eHow do I keep multiple windows open in \u003cspan class=\"mc-variable SmartSpace.SmartSpaceConfig_(app) variable\"\u003eSmartSpace Config\u003c/span\u003e?\u003c/h4\u003e\u003cp\u003eSometimes it is useful to see more than one workspace in \u003cspan class=\"mc-variable SmartSpace.SmartSpaceConfig_(app) variable\"\u003eSmartSpace Config\u003c/span\u003e at the same time, for example so you can move objects in the object viewer in \u003cspan class=\"mc-variable SmartSpace.ObjectPlacement_(tab) variable\"\u003eOBJECT PLACEMENT\u003c/span\u003e and see resulting spatial property rows added in the object browser in \u003cspan class=\"mc-variable SmartSpace.TypesObjects_(tab) variable\"\u003eTYPES / OBJECTS\u003c/span\u003e. To enable multiple windows, click the \u003cspan class=\"mc-variable SmartSpace.SmartSpace variable\"\u003eSmartSpace\u003c/span\u003e icon at the top-left of the \u003cspan class=\"mc-variable SmartSpace.SmartSpaceConfig_(app) variable\"\u003eSmartSpace Config\u003c/span\u003e application window and choose Floating windows. The current workspace immediately gains a title bar with a pin icon at the far right:\u003c/p\u003e\u003cp class=\"Figure\"\u003e\u003cimg src=\"../../../../Content/Resources/Images/SSConfig/favicon.png\" title=\"screen shot showing the window menu open and Floating windows selected and the pin icon on the right\" alt=\"screen shot showing the window menu open and Floating windows selected and the pin icon on the right\" style=\"max-width: 80%;max-height: auto;\" /\u003e\u003c/p\u003e\u003cul\u003e\u003cli\u003e\u003cp\u003eClick the pin to unpin a docked window. (The pin is replaced with a cross: \u003cimg src=\"../../../../Content/Resources/Images/SSConfig/floating-cross.png\" title=\"icon of a white cross on red background used to dock a floating window\" alt=\"icon of a white cross on red background used to dock a floating window\" /\u003e)\u003c/p\u003e\u003cp\u003eYou can now drag the window out of the \u003cspan class=\"mc-variable SmartSpace.SmartSpaceConfig_(app) variable\"\u003eSmartSpace Config\u003c/span\u003e window to position it elsewhere on your desktop and open additional windows.\u003c/p\u003e\u003c/li\u003e\u003cli\u003eClick the cross on a floating window to return it to the application window.\u003c/li\u003e\u003c/ul\u003e",p:["How do I keep multiple windows open in SmartSpace Config?","floating windows"],l:"",tr:false,s:["../Skins/Default/Stylesheets/TextEffects.micro-content.css.micro-response-783110926","../Skins/Default/Stylesheets/Topic.micro-content.css.micro-response-1790431910","../MicroContent/Stylesheets/micro-response-1929814236.css"],sc:["AllFiles"]},"59":{u:"../MicroContent/Resources/MicroContent/ServiceManager/what-is-micro-content.htm",c:"\u003ch4\u003ePassing Configuration Files to Services\u003c/h4\u003e\u003cp\u003eThe following example shows how you can build multiple services, each using a copy of the same executable, with a configuration file that specializes it to each service\u0027s requirements.\u003c/p\u003e\u003ch2\u003eRequirements\u003c/h2\u003e\u003cp\u003eRequires \u003cspan class=\"mc-variable SmartSpace.SmartSpace variable\"\u003eSmartSpace\u003c/span\u003e 3.8 SP1 or later\u003c/p\u003e\u003ch2\u003eHow it Works\u003c/h2\u003e\u003cp\u003eIf a service definition in a package XML file includes a single (and \u003cem class=\"light\"\u003eonly\u003c/em\u003e a single) library file with the architecture \u0027common\u0027, the service controller can copy this file to the execution directory of the service and the name of this file will be passed to the service executable on the command line as the third argument (after the arguments that specify cell type and cell ID). \u003c/p\u003e\u003ch2\u003eExample\u003c/h2\u003e\u003cp\u003eThe example shows how a single executable, \u003cspan class=\"command\"\u003eubisense_service_config_example.exe\u003c/span\u003e, can be installed and run as three different services each of which uses a separate configuration file.\u003c/p\u003e\u003cp\u003eThe source files (\u003cspan class=\"mc-variable ThirdParty.Windows variable\"\u003eWindows\u003c/span\u003e only) for the example are provided in  \u003cspan class=\"filename\"\u003e\u003ca href=\"https://docs.ubisense.com/portal/Content/Downloads/Files/package.zip\" title=\"link to donwload the example files\" alt=\"link to donwload the example files\"\u003e\u003cspan class=\"filename\"\u003epackage.zip\u003c/span\u003e\u003c/a\u003e\u003c/span\u003e. If you want to work through the instructions step by step, download and unzip the files to a suitable location, i.e. where you can access them with your \u003cspan class=\"mc-variable SmartSpace.Service_Manager_(app) variable\"\u003eService Manager\u003c/span\u003e application.\u003c/p\u003e\u003ch3\u003eFiles and File Structure\u003c/h3\u003e\u003cp\u003e\u003cspan class=\"filename\"\u003epackage.zip\u003c/span\u003e contains the following files and directories:\u003c/p\u003e\u003cp\u003eThe \u003cspan class=\"filename\"\u003epackage\u003c/span\u003e directory contains the package service definition for \"Example Package\" in \u003cspan class=\"filename\"\u003eConfigExample.xml\u003c/span\u003e, shown below.\u003c/p\u003e\u003cpre class=\"ReplaceCSBod\"\u003e\u0026lt;install\u0026gt;\n   \u0026lt;vendor\u0026gt;Ubisense\u0026lt;/vendor\u0026gt;\n   \u0026lt;package\u0026gt;Example Package\u0026lt;/package\u0026gt;\n   \u0026lt;services\u0026gt;\n      \u0026lt;value\u0026gt;\n         \u0026lt;name\u0026gt;Example service 1\u0026lt;/name\u0026gt;\n         \u0026lt;version\u0026gt;\u0026lt;major_\u0026gt;1\u0026lt;/major_\u0026gt;\u0026lt;minor_\u0026gt;0\u0026lt;/minor_\u0026gt;\u0026lt;build_\u0026gt;0\u0026lt;/build_\u0026gt;\u0026lt;/version\u0026gt;\n         \u0026lt;level\u0026gt;Site\u0026lt;/level\u0026gt;\n         \u0026lt;programs\u0026gt;\n             \u0026lt;key\u0026gt;i586_windows_1.3\u0026lt;/key\u0026gt;\n             \u0026lt;value\u0026gt;ubisense_service_config_example.exe\u0026lt;/value\u0026gt;\n         \u0026lt;/programs\u0026gt;\n         \u0026lt;libraries\u0026gt;\n            \u0026lt;key\u0026gt;common\u0026lt;/key\u0026gt;\n            \u0026lt;value\u0026gt;\n               \u0026lt;value\u0026gt;config1.txt\u0026lt;/value\u0026gt;\n            \u0026lt;/value\u0026gt;\n         \u0026lt;/libraries\u0026gt;\n         \u0026lt;data\u0026gt;\n         \u0026lt;/data\u0026gt;\n      \u0026lt;/value\u0026gt;\n      \u0026lt;value\u0026gt;\n         \u0026lt;name\u0026gt;Example service 2\u0026lt;/name\u0026gt;\n         \u0026lt;version\u0026gt;\u0026lt;major_\u0026gt;1\u0026lt;/major_\u0026gt;\u0026lt;minor_\u0026gt;0\u0026lt;/minor_\u0026gt;\u0026lt;build_\u0026gt;0\u0026lt;/build_\u0026gt;\u0026lt;/version\u0026gt;\n         \u0026lt;level\u0026gt;Site\u0026lt;/level\u0026gt;\n         \u0026lt;programs\u0026gt;\n             \u0026lt;key\u0026gt;i586_windows_1.3\u0026lt;/key\u0026gt;\n             \u0026lt;value\u0026gt;ubisense_service_config_example.exe\u0026lt;/value\u0026gt;\n         \u0026lt;/programs\u0026gt;\n         \u0026lt;libraries\u0026gt;\n            \u0026lt;key\u0026gt;common\u0026lt;/key\u0026gt;\n            \u0026lt;value\u0026gt;\n               \u0026lt;value\u0026gt;config2.txt\u0026lt;/value\u0026gt;\n            \u0026lt;/value\u0026gt;\n         \u0026lt;/libraries\u0026gt;\n         \u0026lt;data\u0026gt;\n         \u0026lt;/data\u0026gt;\n      \u0026lt;/value\u0026gt;\n      \u0026lt;value\u0026gt;\n         \u0026lt;name\u0026gt;Example service 3\u0026lt;/name\u0026gt;\n         \u0026lt;version\u0026gt;\u0026lt;major_\u0026gt;1\u0026lt;/major_\u0026gt;\u0026lt;minor_\u0026gt;0\u0026lt;/minor_\u0026gt;\u0026lt;build_\u0026gt;0\u0026lt;/build_\u0026gt;\u0026lt;/version\u0026gt;\n         \u0026lt;level\u0026gt;Site\u0026lt;/level\u0026gt;\n         \u0026lt;programs\u0026gt;\n             \u0026lt;key\u0026gt;i586_windows_1.3\u0026lt;/key\u0026gt;\n             \u0026lt;value\u0026gt;ubisense_service_config_example.exe\u0026lt;/value\u0026gt;\n         \u0026lt;/programs\u0026gt;\n         \u0026lt;libraries\u0026gt;\n            \u0026lt;key\u0026gt;common\u0026lt;/key\u0026gt;\n            \u0026lt;value\u0026gt;\n               \u0026lt;value\u0026gt;config3.txt\u0026lt;/value\u0026gt;\n            \u0026lt;/value\u0026gt;\n         \u0026lt;/libraries\u0026gt;\n         \u0026lt;data\u0026gt;\n         \u0026lt;/data\u0026gt;\n      \u0026lt;/value\u0026gt;\n   \u0026lt;/services\u0026gt;\n\u0026lt;/install\u0026gt;\n\u003c/pre\u003e\u003cp\u003eIn the \u003cspan class=\"filename\"\u003ecommon\u003c/span\u003e directory are the configuration files for the different services and the executable is in \u003cspan class=\"filename\"\u003ei586_windows_1.3\u003c/span\u003e. \u003c/p\u003e\u003cp\u003eAlso included in \u003cspan class=\"filename\"\u003epackage.zip\u003c/span\u003e is \u003cspan class=\"filename\"\u003ecxx_src_for_example.cc\u003c/span\u003e, the source code for the executable.\u003c/p\u003e\u003ch3\u003eInstalling the Example Services\u003c/h3\u003e\u003col\u003e\u003cli value=\"1\"\u003e\u003cp\u003eIn \u003cspan class=\"mc-variable SmartSpace.Service_Manager_(app) variable\"\u003eService Manager\u003c/span\u003e, click \u003cspan class=\"GUI\"\u003eInstall services...\u003c/span\u003e.\u003c/p\u003e\u003c/li\u003e\u003cli value=\"2\"\u003e\u003cp\u003eBrowse to the folder containing the package service definition and ensure that \u003cspan class=\"GUI\"\u003eEverything (no feature dependencies)\u003c/span\u003e found is selected.\u003c/p\u003e\u003cp class=\"FigureSmSp\"\u003e\u003cimg src=\"../../../../Content/Resources/Images/ServiceManager/install-example-services.png\" title=\"Service Manager showing example packages selected for installation\" alt=\"Service Manager showing example packages selected for installation\" class=\"standard\" /\u003e\u003c/p\u003e\u003c/li\u003e\u003cli value=\"3\"\u003e\u003cp\u003eSelect \u003cspan class=\"GUI\"\u003eDeploy services\u003c/span\u003e to deploy the services immediately they are installed, and click \u003cspan class=\"GUI\"\u003eInstall\u003c/span\u003e.\u003c/p\u003e\u003c/li\u003e\u003cli value=\"4\"\u003e\u003cp\u003eWhen the installation process is complete, click \u003cspan class=\"GUI\"\u003eFinish\u003c/span\u003e. Back in the main \u003cspan class=\"mc-variable SmartSpace.Service_Manager_(app) variable\"\u003eService Manager\u003c/span\u003e window, opening Services \u0026gt; \u003cspan class=\"mc-variable UbisenseVariables.CompanyName variable\"\u003eUbisense\u003c/span\u003e and dragging \u003cspan class=\"GUI\"\u003eExample Package\u003c/span\u003e into the filter shows the status of the new services to be Running:\u003c/p\u003e\u003cp class=\"FigureSmSp\"\u003e\u003cimg src=\"../../../../Content/Resources/Images/ServiceManager/running-in-service-manager.png\" title=\"Service Manager showing three example services running\" alt=\"Service Manager showing three example services running\" class=\"standard\" /\u003e\u003c/p\u003e\u003cp\u003eSimilarly, running the \u003cspan class=\"command\"\u003eubisense_service_admin\u003c/span\u003e will show the services are running:\u003c/p\u003e\u003cpre class=\"ReplaceCSBod\" xml:space=\"preserve\"\u003e$ ./ubisense_service_admin.exe status Example\nService                                    Version  Cell  Controller                    Desired Actual   Last Backup\nUbisense:Example Package:Example service 1 v1.0.0   Site  RXXXXXXS-T460S.ubisense.local Running Running  Thu Apr  6 11:48:52 2023\nUbisense:Example Package:Example service 2 v1.0.0   Site  RXXXXXXS-T460S.ubisense.local Running Running  Thu Apr  6 11:48:52 2023\nUbisense:Example Package:Example service 3 v1.0.0   Site  RXXXXXXS-T460S.ubisense.local Running Running  Thu Apr  6 11:48:52 2023\u003c/pre\u003e\u003c/li\u003e\u003c/ol\u003e\u003ch3\u003eTrace Messages\u003c/h3\u003e\u003cp\u003eWith the services installed, the trace shows the example up and running.\u003c/p\u003e\u003cpre class=\"ReplaceCSBod\"\u003e[05/04/2023 14:52:27] warning: controller loaded files for Example Package/Example service 1 V1.0.0 on \"Site\"\n[05/04/2023 14:52:27] warning: controller loaded files for Example Package/Example service 2 V1.0.0 on \"Site\"\n[05/04/2023 14:52:27] warning: controller loaded files for Example Package/Example service 3 V1.0.0 on \"Site\"\n[05/04/2023 14:52:29] warning: controller started process for Example Package/Example service 1 V1.0.0 on \"Site\"\n[05/04/2023 14:52:29] warning: command line = ubisense_service_config_example.exe UCell::Cell 04007zZDn2e3uD6u000H8000002 config1.txt\n[05/04/2023 14:52:29] warning: EXAMPLE CONFIGURATION SERVICE\n[05/04/2023 14:52:29] warning: argv[0] = \".\\ubisense_service_config_example.exe\"\n[05/04/2023 14:52:29] warning: argv[1] = \"UCell::Cell\"\n[05/04/2023 14:52:29] warning: argv[2] = \"04007zZDn2e3uD6u000H8000002\"\n[05/04/2023 14:52:29] warning: argv[3] = \"config1.txt\"\n[05/04/2023 14:52:29] warning: USING config1.txt AS CONFIG FILE\n[05/04/2023 14:52:29] warning: config1.txt: Line 1\n[05/04/2023 14:52:29] warning: config1.txt: Line 2\n[05/04/2023 14:52:29] warning: config1.txt: Line 3\n[05/04/2023 14:52:29] warning: controller started process for Example Package/Example service 2 V1.0.0 on \"Site\"\n[05/04/2023 14:52:29] warning: command line = ubisense_service_config_example.exe UCell::Cell 04007zZDn2e3uD6u000H8000002 config2.txt\n[05/04/2023 14:52:29] warning: EXAMPLE CONFIGURATION SERVICE\n[05/04/2023 14:52:29] warning: argv[0] = \".\\ubisense_service_config_example.exe\"\n[05/04/2023 14:52:29] warning: argv[1] = \"UCell::Cell\"\n[05/04/2023 14:52:29] warning: argv[2] = \"04007zZDn2e3uD6u000H8000002\"\n[05/04/2023 14:52:29] warning: argv[3] = \"config2.txt\"\n[05/04/2023 14:52:29] warning: USING config2.txt AS CONFIG FILE\n[05/04/2023 14:52:29] warning: config2.txt: Line 1\n[05/04/2023 14:52:29] warning: config2.txt: Line 2\n[05/04/2023 14:52:29] warning: config2.txt: Line 3\n[05/04/2023 14:52:29] warning: config2.txt: Line 4\n[05/04/2023 14:52:29] warning: config2.txt: Line 5\n[05/04/2023 14:52:29] warning: controller started process for Example Package/Example service 3 V1.0.0 on \"Site\"\n[05/04/2023 14:52:29] warning: command line = ubisense_service_config_example.exe UCell::Cell 04007zZDn2e3uD6u000H8000002 config3.txt\n[05/04/2023 14:52:29] warning: EXAMPLE CONFIGURATION SERVICE\n[05/04/2023 14:52:29] warning: argv[0] = \".\\ubisense_service_config_example.exe\"\n[05/04/2023 14:52:29] warning: argv[1] = \"UCell::Cell\"\n[05/04/2023 14:52:29] warning: argv[2] = \"04007zZDn2e3uD6u000H8000002\"\n[05/04/2023 14:52:29] warning: argv[3] = \"config3.txt\"\n[05/04/2023 14:52:29] warning: USING config3.txt AS CONFIG FILE\n[05/04/2023 14:52:29] warning: config3.txt: Line 1\n[05/04/2023 14:52:29] warning: config3.txt: Line 2\n[05/04/2023 14:52:29] warning: config3.txt: Line 3\n[05/04/2023 14:52:29] warning: config3.txt: Line 4\n[05/04/2023 14:52:29] warning: config3.txt: Line 5\n[05/04/2023 14:52:29] warning: config3.txt: Line 6\n[05/04/2023 14:52:29] warning: config3.txt: Line 7\u003c/pre\u003e",p:["Passing Configuration Files to Services","Using Multiple Versions of a Service"],l:"",tr:false,s:["../Skins/Default/Stylesheets/TextEffects.micro-content.css.micro-response-783110926","../Skins/Default/Stylesheets/Topic.micro-content.css.micro-response-1790431910","../MicroContent/Stylesheets/micro-response-1929814236.css"],sc:["AllFiles"]},"60":{u:"../MicroContent/Resources/MicroContent/ServiceManager/delay-sta.htm",c:"\u003ch4\u003eConfiguring a Delay between Starting Services when the Local controller is Restarted\u003c/h4\u003e\u003cp\u003eWhen the local controller is restarted, all \u003cspan class=\"mc-variable UbisenseVariables.CompanyName variable\"\u003eUbisense\u003c/span\u003e services start up quickly. In large installations, there can be lot of traffic to local broadcast (127.255.255.255) and as more services start, delays are introduced such that UDP packets sent to local broadcast take longer and longer to reach their destination. Ultimately the core server can stop responding and appears to lock up indefinitely. A local configuration parameter, \u003cspan class=\"command\"\u003econtroller_start_delay\u003c/span\u003e, allows you to set a delay between individual services starting to avoid this problem.\u003c/p\u003e\u003ch2\u003eRequirements\u003c/h2\u003e\u003cp data-mc-conditions=\"Product.SmartSpace\"\u003eRequires \u003cspan class=\"mc-variable SmartSpace.SmartSpace variable\"\u003eSmartSpace\u003c/span\u003e 3.8 SP2 or later\u003c/p\u003e\u003cp data-mc-conditions=\"Product.D4\"\u003eRequires \u003cspan class=\"mc-variable UbisenseVariables.D4Long variable\"\u003eDIMENSION4\u003c/span\u003e 3.8 or later\u003c/p\u003e\u003ch2\u003eHow it Works\u003c/h2\u003e\u003cp\u003eTo introduce a delay between services starting, set a \u003cspan class=\"command\"\u003eLOCAL\u003c/span\u003e configuration parameter \u003cspan class=\"command\"\u003econtroller_start_delay\u003c/span\u003e to, for example, 0.5. The controller will pause this many seconds between each service executable starting. The parameter cannot exceed 5 seconds and using values above 5 starts services every 5 seconds.\u003c/p\u003e",p:["Introducing a Delay Between Services Starting","controller_start_delay"],l:"",tr:false,s:["../Skins/Default/Stylesheets/TextEffects.micro-content.css.micro-response-783110926","../Skins/Default/Stylesheets/Topic.micro-content.css.micro-response-1790431910","../MicroContent/Stylesheets/micro-response-1929814236.css"],sc:["AllFiles"]},});